### Constructor

# Clutter FrameClock new

#### Declaration [src]

    ClutterFrameClock*
    clutter_frame_clock_new (
      float refresh_rate,
      int64_t vblank_duration_us,
      const char* name,
      const ClutterFrameListenerIface* iface,
      gpointer user_data
    )

#### Description

No description available.

This constructor is not directly available to language bindings.

#### Parameters

`refresh_rate`

  Type: `float`

  No description available.

`vblank_duration_us`

  Type: `int64_t`

  No description available.

`name`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`iface`

  Type: `ClutterFrameListenerIface`

  No description available.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `ClutterFrameClock`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.